Subject: Re: STATUS ACCESS VIOLATION
From: [email-masked] (Earnie Boyd)

22 Feb 1998 19:25:35 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Try using the mmalloc library that comes with cygnus instead of the 
malloc library that gets built with the package.  mmalloc is Mapped 
Memory Allocation.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Fri, 20 Feb 1998 12:23:33 +0100 (MET)
>From: Gio <[email-masked]>
>Reply-To: Gio <[email-masked]>
>To: [email-masked]
>Subject: Re: STATUS ACCESS VIOLATION
>
>
>
>On Tue, 17 Feb 1998, Giovanni Denaro wrote:
>
>> Hi,
>> 
>> I am actually porting under a Windows 95 platform a tool previously
>> developed for unix platforms, using b18 gnuwin32 g++.
>> 
>> I have solved all my compile time problems,
>> but now I get the following run-time problem:
>> 
>> during execution my process crashes with the following output:
>> 
>> -----------------------------------------
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) In
>> cygwin_exc ept_handler exc C0000005 at 1004667C sp 25CFAEC
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023)
>> Exception trapped!
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023)
>> exception C0000005 at 1004667C
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023)
>> exception: ax 0 bx 0 cx 4705E44 dx 65697266
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023)
>> exception: si 1004C2DC di 1 bp 25CFAF4 sp 25CFAEC
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023)
>> exception is: STATUS_ACCESS_VIOLATION
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
Stack
>> trace:
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 0: sp = 0x25CF904, pc = 0x10007BB2
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 1: sp = 0x25CF920, pc = 0xBFF76780
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 2: sp = 0x25CF944, pc = 0xBFF858F3
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 3: sp = 0x25CF9DC, pc = 0xFFECBAD7
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 4: sp = 0x25CFAF4, pc = 0x1000F26D
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 5: sp = 0x25CFB04, pc = 0x466DEA
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 6: sp = 0x25CFB18, pc = 0x4672FB
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 7: sp = 0x25CFB24, pc = 0x411A20
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 8: sp = 0x25CFB40, pc = 0x428F52
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 9: sp = 0x25CFBD8, pc = 0x42043A
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 10: sp= 0x25CFC68, pc = 0x41BE85
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 11: sp= 0x25D00A8, pc = 0x41DF36
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 12: sp= 0x25D10D0, pc = 0x444098
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 13: sp= 0x25D10F8, pc = 0x442610
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 14: sp= 0x25D110C, pc = 0x44B39B
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
frame
>> 15: sp= 0x25D1154, pc = 0x4036E4
>> (C:\WINDOWS\PROFILES\DENARO\DESKTOP\PORTING2\EDITOR\MTD+.EXE 1023) 
End of
>> stacktrace (more stack frames may be present)
>> 
>> -------------------------------------
>> 
>> I have debugged (using gdb) my program and I find that the crash 
happends
>> executing a "new" statement for allocation of a single character...
>> 
>> is it possible???
>> 
>> To verify this i have written a simple program that cyclically 
allocates
>> characters it crashes too....
>> 
>> I read mails in the mail-archives and find that this error has been
>> hilighted from other people in the past (in different and various 
>> circumstances) but i have not found a working solution for it.
>> 
>> I have already installed the Sergey's coolview and placed the new
>> cygwin.dll in the correct places (gnuwin32\b18\H-i386-cygwin32\bin 
and
>> gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\lib).
>> I have update the libcygwin.a and bash.exe too.
>> 
>> I worked for three months without any good result.
>> 
>> May somebody help me??
>> 
>> Thank you in advance...
>> 
>> Giovanni
>> 
>>  
>
>I am continuing to find a solution for my problem.
>
>this is the output of a simple gdb session for the program before
>descripted:
>
>------------------------------------------
>
>(gdb) Breakpoint 1 at 0x4057e3
>Starting program : 
C:/WINDOWS/Profiles/denaro/Desktop/porting2/editor/Mtd+.exe
>[tcsetpgrp failed in terminal_inferior: error 0]
>7c6c0000:/WINDOWS/SYSTEM/WSOCK32.DLL
>bfec0000:/WINDOWS/SYSTEM/ADVAPI32.DLL
>bff30000:/WINDOWS/SYSTEM/GDI32.DLL
>bff60000:/WINDOWS/SYSTEM/USER32.DLL
>bff70000:/WINDOWS/SYSTEM/KERNEL32.DLL
>10000000:/LANG/GNUWIN32/B18/H-I386-CYGWIN32/BIN/CYGWIN.DLL
>bfb60000:/WINDOWS/SYSTEM/SHLWAPI.DLL
>70200000:/WINDOWS/SYSTEM/WININET.DLL
>0x4057e3 in main ()
>Continuing.
>[tcsetpgrp failed in terminal_inferior: error 0]
>
>Program received signal SIGSEV, Segmentation fault.
>0x1004667c in _malloc_r ()
>
>(gdb)bt
>#0  0x1004667c in _malloc_r ()
>#1  0x1000f26d in export_malloc ()
>#2  0x466dea in __builtin_new (sz=1)
>#3  0x4672fb in __builtin_vec_new (sz=1)
>#4  0x411a20 in KString::Kstring ()
>#5  0x428f52 in formatEnablings ()
>#6  0x42043a in get Enablings ()
>#7  0x41be85 in HTPLNKernel::apply_message ()
>#8  0x41df36 in HTPLNKernel::receiveMessage ()
>#9  0x444098 in Interface::sendMessage ()
>#10 0x442610 in Interface::Step ()
>#11 0x44b39b in AUMExecutor::Step ()
>#12 0x4036e4 in evaluateMessage ()
>#13 0x405711 in sendmessage ()
>#14 0x405d0e in main ()
>#15 0x100063ba in dll_crt0_1 ()
>#16 0x100063cb in dll_crt0 ()
>#17 0x46840d in cygwin_crt0 ()
>(gdb)
>
>------------------------------------------
>
>
>this seems to confirm that program crashes during a malloc!
>
>May anybody help me???
>
>by
>Gio
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".